%undefine py2dir
%define py2dir %{_builddir}/dnspython/dnspython-%{version}
%undefine py3dir
%define py3dir %{_builddir}/dnspython/dnspython3-%{version}
%define py3unpack -a 2

Summary:	DNS toolkit for Python
Name:		python-dnspython
Version:	1.11.1
Release:	6
License:	MIT
Group:		Development/Python
Url:		http://www.dnspython.org/
Source0:	http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz
Source1:	http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz.asc
Source2:	http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz
Source3:	http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz.asc
BuildRequires:	pkgconfig(python)
Provides:	dnspython = %{EVRD}
BuildArch:	noarch

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic updates.
It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level
classes perform queries for data of a given name, type, and class, and
return an answer set. The low level classes allow direct manipulation
of DNS zones, messages, names, and records.

%files
%doc dnspython-%{version}/{ChangeLog,LICENSE,README,examples}
%{py_puresitedir}/*egg-info
%{py_puresitedir}/dns

#----------------------------------------------------------------------------

%package -n python3-dnspython3
Summary:	DNS toolkit for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
Provides:	dnspython3 = %{EVRD}

%description -n python3-dnspython3
dnspython3 is a DNS toolkit for Python 3. It supports almost all
record types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython3 provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%files -n python3-dnspython3
%doc dnspython3-%{version}/{ChangeLog,LICENSE,README,examples}
%{py3_puresitedir}/*egg-info
%{py3_puresitedir}/dns

#----------------------------------------------------------------------------

%prep
%setup -q -T -c -n dnspython -a 0 %{?py3unpack:%{py3unpack}}

# strip executable permissions so that we don't pick up dependencies
# from documentation
find %{py2dir}/examples -type f | xargs chmod a-x
find %{py3dir}/examples -type f | xargs chmod a-x

%build
pushd %{py2dir}
python setup.py build
popd

pushd %{py3dir}
python3 setup.py build
popd

%install
pushd %{py2dir}
python setup.py install --skip-build --root %{buildroot}
popd

pushd %{py3dir}
python3 setup.py install --skip-build --root %{buildroot}
popd

%check
pushd %{py2dir}/tests
# skip one test because it queries the network
for py in *.py
do
  if [ $py != resolver.py ]
  then
    PYTHONPATH=%{buildroot}%{py_puresitedir} %{__python} $py
  fi
done
popd

pushd %{py3dir}/tests
# skip one test because it queries the network
for py in *.py
do
  if [ $py != resolver.py ]
  then
    PYTHONPATH=%{buildroot}%{py3_puresitedir} %{__python3} $py
  fi
done
popd


%changelog

* Thu Jun 02 2016 Denis Silakov <dsilakov@gmail.com> 1.11.1-6
- (164c1ac) Move to main


